GroovyParser.CreatorContext (Groovy 4.0.15)
Description: declaration: package: org.apache.groovy.parser.antlr4, class: GroovyParser, class: CreatorContext

Package org.apache.groovy.parser.antlr4

# Class GroovyParser.CreatorContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.CreatorContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

public static class GroovyParser.CreatorContext extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `t`

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreatorContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`
  `CreatorContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState, int t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<Result> Result`
  `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)`
  `GroovyParser.AnonymousInnerClassDeclarationContext`
  `anonymousInnerClassDeclaration()`
  `GroovyParser.ArgumentsContext`
  `arguments()`
  `GroovyParser.ArrayInitializerContext`
  `arrayInitializer()`
  `GroovyParser.CreatedNameContext`
  `createdName()`
  `List<? extends GroovyParser.DimContext>`
  `dim()`
  `GroovyParser.DimContext`
  `dim(int i)`
  `int`
  `getRuleIndex()`
  `GroovyParser.NlsContext`
  `nls()`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### t

    public int t

- ## Constructor Details

  - ### CreatorContext

    public CreatorContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

  - ### CreatorContext

    public CreatorContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState, int t)

- ## Method Details

  - ### createdName

    public GroovyParser.CreatedNameContext createdName()

  - ### nls

    public GroovyParser.NlsContext nls()

  - ### arguments

    public GroovyParser.ArgumentsContext arguments()

  - ### anonymousInnerClassDeclaration

    public GroovyParser.AnonymousInnerClassDeclarationContext anonymousInnerClassDeclaration()

  - ### dim

    public List<? extends GroovyParser.DimContext> dim()

  - ### dim

    public GroovyParser.DimContext dim(int i)

  - ### arrayInitializer

    public GroovyParser.ArrayInitializerContext arrayInitializer()

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`